%define         major        2
%define         libname      %mklibname %{name} %{major}
%define         develname    %mklibname -d %{name}

%define         vampdir      %{_libdir}/vamp
%define         ladspadir    %{_libdir}/ladspa
%define         pkgconfdir   %{_libdir}/pkgconfig

Summary:        Audio time-stretching and pitch-shifting library
Name:           rubberband
Version:        1.8.1
Release:        %mkrel 2
License:        GPLv2
Group:          System/Libraries
URL:            http://www.breakfastquay.com/rubberband/
Source0:        http://www.breakfastquay.com/rubberband/files/%{name}-%{version}.tar.bz2
Source1:        http://www.breakfastquay.com/rubberband/usage.txt

BuildRequires:  fftw3-devel
BuildRequires:  ladspa-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  pkgconfig
BuildRequires:  vamp-plugin-sdk-devel
Requires:       %{libname} = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{libname}
Summary:        Audio time-stretching and pitch-shifting library
Group:          System/Libraries


%description -n %{libname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another.

%package -n %{develname}
Summary:        Development files for rubberband
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. This
package contains files needed to develop with the rubberband library.

%prep
%setup -q
cp %{SOURCE1} .



%build
autoreconf -fiv

%configure2_5x --libdir=%{_libdir}
%make



%install
rm -rf %{buildroot}
%makeinstall_std  INSTALL_LIBDIR="%{_libdir}" INSTALL_VAMPDIR="%vampdir" INSTALL_LADSPADIR="%ladspadir" INSTALL_PKGDIR="%pkgconfdir"



%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc usage.txt CHANGELOG
%{_bindir}/rubberband

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/librubberband.so.%{major}*
%ladspadir/*.cat
%ladspadir/*.so
%vampdir/*.cat
%vampdir/*.so
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf


%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/rubberband
%{_libdir}/*.so
%{_libdir}/*.a
%pkgconfdir/rubberband.pc




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.8.1-2.mga3
+ Revision: 380581
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 05 2012 eatdirt <eatdirt> 1.8.1-1.mga3
+ Revision: 314531
- Upgrade to version 1.8.1

* Sat Dec 10 2011 eatdirt <eatdirt> 1.7.0-1.mga2
+ Revision: 180381
- Upgrade to 1.7.0, specfile cleaned

* Thu Mar 24 2011 boklm <boklm> 1.5.0-2.mga1
+ Revision: 76206
- rebuild for bug #497

* Thu Mar 10 2011 ennael <ennael> 1.5.0-1.mga1
+ Revision: 67553
- clean spec file
- imported package rubberband

